Bug 1306184 - (CVE-2015-7511) CVE-2015-7511 libgcrypt: side-channel attack on ECDH with Weierstrass curves
CVE-2015-7511 libgcrypt: side-channel attack on ECDH with Weierstrass curves
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160208,reported=2...
: Security
Depends On: 1306187 1306185 1306186
Blocks: 1306188
  Show dependency treegraph
 
Reported: 2016-02-10 04:12 EST by Andrej Nemec
Modified: 2016-08-05 16:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: libgcrypt 1.6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-08 01:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-10 04:12:30 EST
A vulnerability was found in a way the ECDH encryption algorithm decrypts data. An attacker with a specialised setup can extract the secret decryption key from a target located in an adjacent room within seconds. This is done by measuring the target's electromagnetic emanations.

External reference:

http://www.cs.tau.ac.il/~tromer/ecdh/

Upstream announcement:

https://lists.gnupg.org/pipermail/gnupg-announce/2016q1/000384.html
Comment 1 Andrej Nemec 2016-02-10 04:13:13 EST
Created libgcrypt tracking bugs for this issue:

Affects: fedora-all [bug 1306185]
Comment 2 Andrej Nemec 2016-02-10 04:13:19 EST
Created mingw-libgcrypt tracking bugs for this issue:

Affects: fedora-all [bug 1306186]
Affects: epel-7 [bug 1306187]
Comment 3 Andrej Nemec 2016-02-10 04:18:58 EST
Upstream bug fix:

http://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgcrypt.git;a=commit;h=88e1358962e902ff1cbec8d53ba3eee46407851a

Note:

The preferred way to protect against this vulnerability is to update to the new package version.
Comment 6 Fedora Update System 2016-07-22 14:21:06 EDT
libgcrypt-1.6.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-08-05 16:50:31 EDT
libgcrypt-1.6.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.